Bug 315060 - Mail's filename are not readable in nepomuksearch:/
Summary: Mail's filename are not readable in nepomuksearch:/
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: kioslave - nepomuksearch (show other bugs)
Version: 4.10.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL: http://wstaw.org/m/2013/02/13/Marquag...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 12:45 UTC by Aristide
Modified: 2013-02-28 07:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aristide 2013-02-13 12:45:45 UTC
When I type nepomuksearch:/hastag:stage (for example), email tagged with « stage » are displayed with strange name :
« nepomuk:/res/a57c2509-460f-46b1-866b-1d227bf823d1 » 


Reproducible: Always

Steps to Reproduce:
1 : Tag a mail with a tag
2 : Open dolphin and type « nepomuksearch:/hastag:yourtag (replace yourtage by YOUR tag name)
3 : Look in dolphin
Comment 1 Vishesh Handa 2013-02-28 07:33:37 UTC
Git commit 045d95143185578f6934f4f85d46f0b8999e537c by Vishesh Handa.
Committed on 27/02/2013 at 23:54.
Pushed by vhanda into branch 'KDE/4.10'.

Nepomuk SearchFolder; Better fetching of the user visible name

Try properties such as nao:prefLabel and nao:label with inference before
trying the other properties.
FIXED-IN: 4.10.1

M  +12   -10   nepomuk/kioslaves/search/searchfolder.cpp

http://commits.kde.org/kde-runtime/045d95143185578f6934f4f85d46f0b8999e537c